AIRY(3)

NAME
PDL::GSLSF::AIRY - PDL interface to GSL Special Functions

DESCRIPTION
This is an interface to the Special Function package present in the GNU Scientific Library.

SYNOPSIS

Functions

FUNCTIONS

  gsl_sf_airy_Ai
  Signature: (double x(); double [o]y(); double [o]e())

Airy Function Ai(x).

gsl_sf_airy_Ai does not process bad values. It will set the bad-value flag of all output piddles if the flag is set for any of the input piddles.

  gsl_sf_airy_Bi
  Signature: (double x(); double [o]y(); double [o]e())

Airy Function Bi(x).

gsl_sf_airy_Bi does not process bad values. It will set the bad-value flag of all output piddles if the flag is set for any of the input piddles.

  gsl_sf_airy_Ai_scaled
  Signature: (double x(); double [o]y(); double [o]e())

Scaled Airy Function Ai(x). Ai(x) for x < 0 and exp(+2/3 x^{3/2}) Ai(x) for x > 0.

gsl_sf_airy_Ai_scaled does not process bad values. It will set the bad-value flag of all output piddles if the flag is set for any of the input piddles.

  gsl_sf_airy_Bi_scaled
  Signature: (double x(); double [o]y(); double [o]e())

Scaled Airy Function Bi(x). Bi(x) for x < 0 and exp(+2/3 x^{3/2}) Bi(x) for x > 0.

gsl_sf_airy_Bi_scaled does not process bad values. It will set the bad-value flag of all output piddles if the flag is set for any of the input piddles.

  gsl_sf_airy_Ai_deriv
  Signature: (double x(); double [o]y(); double [o]e())

Derivative Airy Function Ai`(x).

gsl_sf_airy_Ai_deriv does not process bad values. It will set the bad-value flag of all output piddles if the flag is set for any of the input piddles.

  gsl_sf_airy_Bi_deriv
  Signature: (double x(); double [o]y(); double [o]e())

Derivative Airy Function Bi`(x).

gsl_sf_airy_Bi_deriv does not process bad values. It will set the bad-value flag of all output piddles if the flag is set for any of the input piddles.

  gsl_sf_airy_Ai_deriv_scaled
  Signature: (double x(); double [o]y(); double [o]e())

Derivative Scaled Airy Function Ai(x). Ai`(x) for x < 0 and exp(+2/3 x^{3/2}) Ai`(x) for x > 0.

gsl_sf_airy_Ai_deriv_scaled does not process bad values. It will set the bad-value flag of all output piddles if the flag is set for any of the input piddles.

  gsl_sf_airy_Bi_deriv_scaled
  Signature: (double x(); double [o]y(); double [o]e())

Derivative Scaled Airy Function Bi(x). Bi`(x) for x < 0 and exp(+2/3 x^{3/2}) Bi`(x) for x > 0.

gsl_sf_airy_Bi_deriv_scaled does not process bad values. It will set the bad-value flag of all output piddles if the flag is set for any of the input piddles.

AUTHOR
This file copyright (C) 1999 Christian Pellegrin <chri@infis.univ.trieste.it> All rights reserved. There is no warranty. You are allowed to redistribute this software / documentation under certain conditions. For details, see the file COPYING in the PDL distribution. If this file is separated from the PDL distribution, the copyright notice should be included in the file.

The GSL SF modules were written by G. Jungman.